Bug 1428261 - portlet-2.0-api: FTBFS in EPEL 7
Summary: portlet-2.0-api: FTBFS in EPEL 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: portlet-2.0-api
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 07:11 UTC by gil cattaneo
Modified: 2017-05-30 16:54 UTC (History)
1 user (show)

Fixed In Version: portlet-2.0-api-1.0-13.1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 16:54:18 UTC
Type: Bug


Attachments (Terms of Use)

Description gil cattaneo 2017-03-02 07:11:47 UTC
Description of problem:
Package portlet-2.0-api fails to build from source in EPEL 7.

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-javadoc-plugin:2.9:aggregate (default-cli) on project portlet-api_2.0_spec: An error has occurred in JavaDocs report generation:
[ERROR] Exit code: 1 - /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:192: error: semicolon missing
[ERROR] * valid XML characters, i.e. &lt, &gt, &amp, &#039, &#034 will get converted
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:192: error: semicolon missing
[ERROR] * valid XML characters, i.e. &lt, &gt, &amp, &#039, &#034 will get converted
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:192: error: semicolon missing
[ERROR] * valid XML characters, i.e. &lt, &gt, &amp, &#039, &#034 will get converted
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:192: error: semicolon missing
[ERROR] * valid XML characters, i.e. &lt, &gt, &amp, &#039, &#034 will get converted
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:192: error: semicolon missing
[ERROR] * valid XML characters, i.e. &lt, &gt, &amp, &#039, &#034 will get converted
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:193: error: semicolon missing
[ERROR] * into their corresponding character entity codes (&lt to &&lt, &gt to &&gt,
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:193: error: bad HTML entity
[ERROR] * into their corresponding character entity codes (&lt to &&lt, &gt to &&gt,
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:193: error: semicolon missing
[ERROR] * into their corresponding character entity codes (&lt to &&lt, &gt to &&gt,
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:193: error: semicolon missing
[ERROR] * into their corresponding character entity codes (&lt to &&lt, &gt to &&gt,
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:193: error: bad HTML entity
[ERROR] * into their corresponding character entity codes (&lt to &&lt, &gt to &&gt,
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:193: error: semicolon missing
[ERROR] * into their corresponding character entity codes (&lt to &&lt, &gt to &&gt,
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:194: error: semicolon missing
[ERROR] * &amp to &&amp, &#039 to &&#039, &#034 to &&#034).
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:194: error: bad HTML entity
[ERROR] * &amp to &&amp, &#039 to &&#039, &#034 to &&#034).
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:194: error: semicolon missing
[ERROR] * &amp to &&amp, &#039 to &&#039, &#034 to &&#034).
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:194: error: semicolon missing
[ERROR] * &amp to &&amp, &#039 to &&#039, &#034 to &&#034).
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:194: error: bad HTML entity
[ERROR] * &amp to &&amp, &#039 to &&#039, &#034 to &&#034).
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:194: error: semicolon missing
[ERROR] * &amp to &&amp, &#039 to &&#039, &#034 to &&#034).
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:194: error: semicolon missing
[ERROR] * &amp to &&amp, &#039 to &&#039, &#034 to &&#034).
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:194: error: bad HTML entity
[ERROR] * &amp to &&amp, &#039 to &&#039, &#034 to &&#034).
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/BaseURL.java:194: error: semicolon missing
[ERROR] * &amp to &&amp, &#039 to &&#039, &#034 to &&#034).
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:40: warning: nested tag not allowed: <code>
[ERROR] * with the <code>expiration-cache<code> tag is returned,
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:41: warning: nested tag not allowed: <code>
[ERROR] * or <code>0</code> if no default is defined.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:42: error: block element not allowed within inline element <code>: p
[ERROR] * <p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:44: warning: nested tag not allowed: <code>
[ERROR] * <code>getProperty(EXPIRATION_CACHE)</code>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:48: warning: nested tag not allowed: <code>
[ERROR] *          or <code>0</code> if no expiration time
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:40: error: element not closed: code
[ERROR] * with the <code>expiration-cache<code> tag is returned,
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:40: error: element not closed: code
[ERROR] * with the <code>expiration-cache<code> tag is returned,
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:108: error: unknown tag: null
[ERROR] * used as validation tag, or <code>null</null>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:110: error: block element not allowed within inline element <code>: p
[ERROR] * <p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:112: warning: nested tag not allowed: <code>
[ERROR] * <code>getProperty(ETAG)</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:115: warning: nested tag not allowed: <code>
[ERROR] *          used as validation tag, or <code>null</null>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:115: error: unknown tag: null
[ERROR] *          used as validation tag, or <code>null</null>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:115: error: element not closed: code
[ERROR] *          used as validation tag, or <code>null</null>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/CacheControl.java:108: error: element not closed: code
[ERROR] * used as validation tag, or <code>null</null>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:159: error: unknown tag: name
[ERROR] * annotated with <code>@ProcessAction</name> that matches the action parameter
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:160: warning: nested tag not allowed: <code>
[ERROR] * value <code>ActionRequest.ACTION_NAME</code> or, if no
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:161: warning: nested tag not allowed: <code>
[ERROR] * such method is found throws a <code>PortletException</code>.<br>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:163: warning: nested tag not allowed: <code>
[ERROR] * to be allowed to be called by <code>GenericPortlet</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:159: error: element not closed: code
[ERROR] * annotated with <code>@ProcessAction</name> that matches the action parameter
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:276: warning: no @param for request
[ERROR] protected java.lang.String getTitle(RenderRequest request) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:287: error: unknown tag: name
[ERROR] * <li>method annotated with <code>@RenderMode</name> and the name of the
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:287: error: end tag missing: </code>
[ERROR] * <li>method annotated with <code>@RenderMode</name> and the name of the
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:297: error: unexpected end tag: </ul>
[ERROR] * </ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:298: error: tag not allowed here: <P>
[ERROR] * <P>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:301: error: tag not allowed here: <p>
[ERROR] * <p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:286: error: element not closed: ol
[ERROR] * <ol>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:616: error: unknown tag: name
[ERROR] * annotated with <code>@ProcessEvent</name> that matches the
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:621: warning: nested tag not allowed: <code>
[ERROR] * to be allowed to be called by <code>GenericPortlet</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:616: error: element not closed: code
[ERROR] * annotated with <code>@ProcessEvent</name> that matches the
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:689: warning: no @param for request
[ERROR] protected java.util.Collection<PortletMode> getNextPossiblePortletModes(RenderRequest request) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/GenericPortlet.java:689: warning: no @return
[ERROR] protected java.util.Collection<PortletMode> getNextPossiblePortletModes(RenderRequest request) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:62: warning: nested tag not allowed: <code>
[ERROR] * with the <code>cache-scope<code> tag, otherwise it is <code>PRIVATE_SCOPE</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:62: warning: nested tag not allowed: <code>
[ERROR] * with the <code>cache-scope<code> tag, otherwise it is <code>PRIVATE_SCOPE</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:63: error: block element not allowed within inline element <code>: p
[ERROR] * <p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:64: warning: nested tag not allowed: <code>
[ERROR] * Values that are not either <code>PUBLIC_SCOPE</code> or <code>PRIVATE_SCOPE</code>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:64: warning: nested tag not allowed: <code>
[ERROR] * Values that are not either <code>PUBLIC_SCOPE</code> or <code>PRIVATE_SCOPE</code>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:65: warning: nested tag not allowed: <code>
[ERROR] * are treated as <code>PRIVATE_SCOPE</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:66: error: tag not allowed here: <p>
[ERROR] * <p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:67: warning: nested tag not allowed: <code>
[ERROR] * The value is <code>"portlet.cache-scope"</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:62: error: element not closed: code
[ERROR] * with the <code>cache-scope<code> tag, otherwise it is <code>PRIVATE_SCOPE</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:62: error: element not closed: code
[ERROR] * with the <code>cache-scope<code> tag, otherwise it is <code>PRIVATE_SCOPE</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:44: warning: nested tag not allowed: <code>
[ERROR] * with the <code>expiration-cache<code> tag, otherwise it is <code>0</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:44: warning: nested tag not allowed: <code>
[ERROR] * with the <code>expiration-cache<code> tag, otherwise it is <code>0</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:45: error: block element not allowed within inline element <code>: p
[ERROR] * <p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:46: warning: nested tag not allowed: <code>
[ERROR] * Non-integer values are treated as <code>0</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:47: error: tag not allowed here: <p>
[ERROR] * <p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:48: warning: nested tag not allowed: <code>
[ERROR] * The value is <code>"portlet.expiration-cache"</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:44: error: element not closed: code
[ERROR] * with the <code>expiration-cache<code> tag, otherwise it is <code>0</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/MimeResponse.java:44: error: element not closed: code
[ERROR] * with the <code>expiration-cache<code> tag, otherwise it is <code>0</code>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/package-info.java:42: warning: empty <p> tag
[ERROR] * <p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/PortletPreferences.java:83: warning: no @param for key
[ERROR] public boolean isReadOnly(String key);
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/PortletSecurityException.java:59: error: unknown tag: il
[ERROR] * <il>throw an exception
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/PortletSecurityException.java:59: error: text not allowed in <ul> element
[ERROR] * <il>throw an exception
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/ReadOnlyException.java:57: error: unknown tag: il
[ERROR] * <il>throw an exception
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/ReadOnlyException.java:57: error: text not allowed in <ul> element
[ERROR] * <il>throw an exception
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/WindowStateException.java:59: error: unknown tag: il
[ERROR] * <il>throw an exception
[ERROR] ^
[ERROR] /builddir/build/BUILD/portlet-2.0-api-1.0/src/main/java/javax/portlet/WindowStateException.java:59: error: text not allowed in <ul> element
[ERROR] * <il>throw an exception
[ERROR] ^
[ERROR] 
[ERROR] Command line was: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.121-0.b13.el7_3.x86_64/jre/../bin/javadoc @options @packages
[ERROR] 
[ERROR] Refer to the generated Javadoc files in '/builddir/build/BUILD/portlet-2.0-api-1.0/target/site/apidocs' dir.
[ERROR] -> [Help 1]

Version-Release number of selected component (if applicable):
1.0-9.el7

Steps to Reproduce:
koji build --scratch epel7 portlet-2.0-api-1.0-9.el7.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/portlet-2.0-api

Comment 1 Michael Mráka 2017-05-11 07:19:02 UTC
commit 9671b19ee2c5f875d04b840ec3b9120f8fa4ce4b
    Fixed FTBFS in EPEL7 RHBZ#1428261
    rebased to f26 and disabled doclint

Comment 2 Fedora Update System 2017-05-11 07:26:01 UTC
portlet-2.0-api-1.0-13.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2da48142ed

Comment 3 Fedora Update System 2017-05-12 19:56:04 UTC
portlet-2.0-api-1.0-13.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2da48142ed

Comment 4 Fedora Update System 2017-05-30 16:54:18 UTC
portlet-2.0-api-1.0-13.1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.